Ask Your Question
0

PR2 Fuerte repository

asked 2012-09-12 01:11:26 -0500

updated 2014-11-22 17:05:15 -0500

ngrennan gravatar image

Looks like some of the repository links to PR2 code are pointing to old versions. For example, pr2_mechanism_controllers are pointing to SVN with a version different from the one which is described in API section for Fuerte (compare function publishTransform() from SVN and API Reference)

This gives a lot of problems when compiling from source, especially when code is pulled by roslocate as it returns wrong addresses for stacks.

So, there are two questions:

  1. Where can I find the right PR2 code for Fuerte? (e.g. pr2_mechanism_controllers)
  2. Where should I report such problems in future?

Thanks

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
0

answered 2012-09-12 10:12:13 -0500

ahendrix gravatar image

The latest version is available in trunk: https://code.ros.org/svn/wg-ros-pkg/stacks/pr2_controllers/trunk/

I suggest pulling down the entire stack rather than individual packages.

If you're on Ubuntu, you can install the ros-fuerte-pr2-controllers deb package instead.

Future meta-issues like this should probably be reported on the pr2-users mailing list: http://lists.willowgarage.com/cgi-bin/mailman/listinfo/pr2-users

edit flag offensive delete link more

Comments

Thanks. I used roslocate which pulled entire stack, but of a wrong version. I am on Fedora, so have to build everything from sources.

Boris gravatar imageBoris ( 2012-09-12 18:41:22 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2012-09-12 01:11:26 -0500

Seen: 164 times

Last updated: Sep 12 '12